<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@CU 				CU-SA-AC-129 Aprobación trámites de avalúos
@MB					AprobacionTramitesAvaluosMB (aprobacionTramitesAvaluos)
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Aprobar trámites de avalúos::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />
        <p:messages id="msgsATA" showDetail="false" globalOnly="false" />

        <p:spacer height="5" width="0" />

        <h:form id="aprobarTramitesAvaluosForm">

            <p:fieldset>

                <legend>
                    <h:outputText
                        value="#{aprobacionTramitesAvaluos.tipoTramitesTitulo}"
                        styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="1" cellspacing="7" width="100%">

                    <p:commandButton id="expandirTablaPrediosBtn"
                                     value="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida eq true ? 
                                              'Ver menos columnas':'Ver todas las columnas'}"
                                     update=":aprobarTramitesAvaluosForm:avaluosPorAprobarDT, @this"
                                     process="@this"
                                     icon="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida eq true ? 
                                             'ui-icon-arrowstop-1-w':'ui-icon-arrowstop-1-e'}">
                        <f:setPropertyActionListener
                            target="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida}"
                            value="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida eq true 
                                     ? false : true}" />
                    </p:commandButton>

                    <p:dataTable id="avaluosPorAprobarDT"
                                 value="#{aprobacionTramitesAvaluos.avaluosPorAprobar}"
                                 var="avaluo" rowKey="#{avaluo.id}"
                                 selection="#{aprobacionTramitesAvaluos.avaluosSeleccionados}"
                                 paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                                 {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                                 emptyMessage="No se encontraron trámites por aprobar">

                        <p:ajax event="rowSelect"
                                update=":aprobarTramitesAvaluosForm:aprobarTramitesBtn"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />

                        <p:ajax event="rowUnselect"
                                update=":aprobarTramitesAvaluosForm:aprobarTramitesBtn"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />

                        <p:column selectionMode="multiple" style="width:18px" />

                        <f:facet name="header">
                            #{aprobacionTramitesAvaluos.tipoTramitesTitulo}
                        </f:facet>

                        <p:column headerText="Reservado" style="width:18px"
                                  rendered="#{!aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion}">
                            <p:selectBooleanCheckbox value="#{avaluo.reservadoBoolean}"
                                                     disabled="#{aprobacionTramitesAvaluos.banderaEsSolicitudDeImpugnacion || 
                                                                 aprobacionTramitesAvaluos.banderaEsSolicitudDeRevision}" />
                        </p:column>

                        <p:column headerText="Opciones" style="width: 70px;">
                            <p:commandButton title="Información de los predios del avalúo"
                                             icon="ui-icon-home"
                                             action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                             update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();
                                             handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                            </p:commandButton>
                            <p:commandButton title="Realizar observaciones"
                                             icon="ui-icon-comment" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide(); alert('Caso de uso de realizar observaciones ?¿?¿');"
                                             rendered="#{!aprobacionTramitesAvaluos.banderaEsSolicitudDeRevision}" />
                            <p:commandButton title="Consultar informe"
                                             icon="ui-icon-document" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide(); alert('CU-SA-AC-019 Consultar Informe de Avalúo Comercial o CU-SA-AC-005 Cotizar Costo de Avalúo');" />
                        </p:column>

                        <p:column headerText="Sec_Radicado" sortBy="#{avaluo.secRadicado}">
                            <p:commandLink styleClass="commandLinkStyle"
                                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                                           value="#{avaluo.secRadicado}">
                                <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
                            </p:commandLink>
                        </p:column>

                        <p:column headerText="Tipo avalúo"
                                  rendered="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida}"
                                  sortBy="#{avaluo.tipoAvaluo}">
                            <h:outputText value="#{avaluo.tipoAvaluo}"
                                          id="AvaluoTipoAvaluoV-1" styleClass="outputTextStyle">
                                <f:converter converterId="converterCB" for="AvaluoTipoAvaluoV-1" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Departamento"
                                  sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}"
                                  rendered="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida}">
                            <p:commandLink
                                value="#{avaluo.avaluoPredios[0].departamento.nombre}"
                                rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>
                            <h:outputText
                                rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}"
                                styleClass="outputTextStyle" />

                        </p:column>

                        <p:column headerText="Municipio"
                                  sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                  rendered="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida}">
                            <p:commandLink
                                value="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>
                            <h:outputText
                                rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                                value="#{avaluo.avaluoPredios[0].municipio.codigo} - #{avaluo.avaluoPredios[0].municipio.nombre}"
                                styleClass="outputTextStyle" />
                        </p:column>

                        <p:column headerText="Tipo empresa"
                                  rendered="#{aprobacionTramitesAvaluos.banderaMostrarTablaExpandida}"
                                  sortBy="#{avaluo.solicitante.tipoPersona}">
                            <h:outputText value="#{avaluo.solicitante.tipoPersona}"
                                          id="PersonaTipoPersonaV-1" styleClass="outputTextStyle">
                                <f:converter converterId="converterCB"
                                             for="PersonaTipoPersonaV-1" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Solicitante"
                                  sortBy="#{avaluo.solicitante.nombreCompleto}">
                            <h:outputText value="#{avaluo.solicitante.nombreCompleto}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                        <p:column headerText="Nombre avaluador"
                                  rendered="#{!aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion}">
                            <p:commandLink value="#{avaluo.avaluadores[0].nombreCompleto}"
                                           styleClass="commandLinkStyle"
                                           action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                                           update=":consultarAvaluadoresAsignadosPG"
                                           onstart="statusDialog2.show();"
                                           oncomplete="statusDialog2.hide();
                                           infoAvaluadoresAsignadosWV.show();"
                                           rendered="#{avaluo.tieneMultiplesAvaluadores}">
                                <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
                            </p:commandLink>
                            <h:outputText rendered="#{!avaluo.tieneMultiplesAvaluadores}"
                                          value="#{avaluo.avaluadores[0].nombreCompleto}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                        <p:column headerText="Profesional control calidad"
                                  rendered="#{!aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion and 
                                              !aprobacionTramitesAvaluos.banderaEsSolicitudDeImpugnacion}"
                                  sortBy="#{avaluo.profesionalControlCalidadSedeCentral.nombreCompleto}">
                            <h:outputText
                                value="#{avaluo.profesionalControlCalidadSedeCentral.nombreCompleto}"
                                styleClass="outputTextStyle" />
                        </p:column>

                        <p:column headerText="Avalúo comercial"
                                  rendered="#{!aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion}"
                                  sortBy="#{avaluo.avaluoComercial}">
                            <h:outputText value="#{avaluo.avaluoComercial}"
                                          styleClass="outputTextStyle">
                                <f:converter converterId="converterMoneda" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Nombre profesional"
                                  rendered="#{aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion}">
                            <p:commandLink value="#{avaluo.avaluadores[0].nombreCompleto}"
                                           styleClass="commandLinkStyle"
                                           action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                                           update=":consultarAvaluadoresAsignadosPG"
                                           onstart="statusDialog2.show();"
                                           oncomplete="statusDialog2.hide();
                                           infoAvaluadoresAsignadosWV.show();"
                                           rendered="#{avaluo.tieneMultiplesAvaluadores}">
                                <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
                            </p:commandLink>
                            <h:outputText rendered="#{!avaluo.tieneMultiplesAvaluadores}"
                                          value="#{avaluo.avaluadores[0].nombreCompleto}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                        <p:column headerText="No. predios"
                                  rendered="#{aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion}"
                                  sortBy="#{fn:length(avaluo.avaluoPredios)}">
                            <h:outputText value="#{fn:length(avaluo.avaluoPredios)}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                        <p:column headerText="Valor total cotización"
                                  rendered="#{aprobacionTramitesAvaluos.banderaEsSolicitudDeCotizacion}"
                                  sortBy="#{avaluo.valorCotizacion}">
                            <h:outputText value="#{avaluo.valorCotizacion}"
                                          styleClass="outputTextStyle">
                                <f:converter converterId="converterMoneda" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo comercial revisión"
                                  rendered="#{aprobacionTramitesAvaluos.banderaEsSolicitudDeRevision}"
                                  sortBy="#{avaluo.avaluoResultadoRevision}">
                            <h:outputText value="#{avaluo.avaluoResultadoRevision}"
                                          styleClass="outputTextStyle">
                                <f:converter converterId="converterMoneda" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo comercial impugnación"
                                  rendered="#{aprobacionTramitesAvaluos.banderaEsSolicitudDeImpugnacion}"
                                  sortBy="#{avaluo.avaluoResultadoImpugnacion}">
                            <h:outputText value="#{avaluo.avaluoResultadoImpugnacion}"
                                          styleClass="outputTextStyle">
                                <f:converter converterId="converterMoneda" />
                            </h:outputText>
                        </p:column>

                    </p:dataTable>

                    <p:commandButton id="aprobarTramitesBtn" value="Aprobar trámites"
                                     action="#{aprobacionTramitesAvaluos.aprobarTramites}"
                                     update=":msgsATA,
                                     :aprobarTramitesAvaluosForm"
                                     icon="ui-icon-check" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();"
                                     disabled="#{empty aprobacionTramitesAvaluos.avaluosSeleccionados}" />

                </h:panelGrid>

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{aprobacionTramitesAvaluos.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ...................... dialogs  ................................... -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <ui:include src="/util/visorGeografico.xhtml" />

        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonEnabled="false"
                                       urlDocumento="#{aprobacionTramitesAvaluos.actaDocumentoURL}"
                                       fileContent="#{aprobacionTramitesAvaluos.actaDocumento}" />

    </ui:define>
</ui:composition>